﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void wpfMap1_Loaded(object sender, RoutedEventArgs e)
        {
            BaseShape.GeometryLibrary = GeometryLibrary.Managed;
            wpfMap1.MapUnit = GeographyUnit.Meter;
            GdiPlusRasterLayer imageMapLayer = new GdiPlusRasterLayer(@"..\..\Data\img2.jpg", new RectangleShape(-4246, 2582.24937197043, 3199.79562066879, -2777.76594491739));
            imageMapLayer.UpperThreshold = double.MaxValue;
            imageMapLayer.LowerThreshold = 0;

            imageMapLayer.Open();
            //float resolution = imageMapLayer.GetHorizontalResolution();
            RectangleShape extent = imageMapLayer.GetBoundingBox();
            imageMapLayer.Close();

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(imageMapLayer);
            overlay.RenderMode = RenderMode.GdiPlus;
            overlay.TileType = TileType.SingleTile;
            wpfMap1.Overlays.Add(overlay);
            wpfMap1.CurrentExtent = extent;

            
            wpfMap1.Refresh();
        }
    }
}
